Reply

Lofted Cutout

I am using the API to create a Lofted Cutout but have run into a wall. There are 8 sketches, each contain one spline and one line created using the API. I believe the problem is with the OriginArray. I've tried everything I could think of as to what could be specified. Does anyone know what origins are valid origins for the sketches?

 

Dim objNewCut As SolidEdgePart.LoftedCutout = Nothing

 

  objNewCut = objLoftCuts.AddSimple(NumSections:=objCol.Count, _
CrossSections:=objCol, _
CrossSectionTypes:=lngCrossSectionTypes, _
Origins:=OriginArray, _
MaterialSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, _
StartTangentType:=SolidEdgePart.FeaturePropertyConstants.igNone, _
EndTangentType:=SolidEdgePart.FeaturePropertyConstants.igNone)

 

Attached is a cropped screen shot of 8 sketches for creating a bevel tooth cut.